#ifndef AFF_H
#define AFF_H

#include "Arduino.h"

//Branchement des broches : 
#define CHIPSELECT 10 //ss
#define SPICLOCK  13 //sck
#define DATAOUT 11 //MOSI / DI
#define DATAIN 12 //MISO / DO

extern int snakesize;
extern const int NB_LED;
extern const byte NB_OCTETS;
extern byte matrix[];

char spi_transfer(volatile char data);
void setup_affichage();
void affichage_envoi_byte();
void MatrixToVector(byte data[], int x, int y, int value);
void clearMatrix_byte();
void updateMatrix_byte();
#endif
